org.springframework.data.convert

## Class CustomConversions.ConverterRegistrationIntent

- java.lang.Object
- - org.springframework.data.convert.CustomConversions.ConverterRegistrationIntent

Enclosing class:
  CustomConversions

    protected static class CustomConversions.ConverterRegistrationIntent
    extends Object

Value class tying together a `ConverterRegistration` and its `origin` to allow fine grained registration based on store supported types.

Since:
  2.3
Author:
  Christoph Strobl

### Nested Class Summary

Nested Classes
`protected static class` `CustomConversions.ConverterRegistrationIntent.ConverterOrigin`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.springframework.data.convert.CustomConversions.ConverterRegistration` `getConverterRegistration()`
`boolean` `isDefaultConverter()`
`boolean` `isReading()`
`boolean` `isSimpleSourceType()`
`boolean` `isSimpleTargetType()`
`boolean` `isStoreConverter()`
`boolean` `isUserConverter()`
`boolean` `isWriting()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isWriting

    public boolean isWriting()

#### isReading

    public boolean isReading()

#### isSimpleSourceType

    public boolean isSimpleSourceType()

#### isSimpleTargetType

    public boolean isSimpleTargetType()

#### isUserConverter

    public boolean isUserConverter()

#### isStoreConverter

    public boolean isStoreConverter()

#### isDefaultConverter

    public boolean isDefaultConverter()

#### getConverterRegistration

    public org.springframework.data.convert.CustomConversions.ConverterRegistration getConverterRegistration()